OccurrenceManagementMainPanel (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client

## Class OccurrenceManagementMainPanel

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.client.OccurrenceManagementMainPanel

-     public class OccurrenceManagementMainPanel
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceManagementMainPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GxtBorderLayoutMainPanel` | `getBorderLayoutContainer()`
    `CenterComputationPanelMng` | `getCenterComputationPanelMng()`
    `CenterDataPanelMng` | `getCenterDataPanelMng()`
    `CenterAlgorithmPanelMng` | `getCenterOperationPanelMng()`
    `DetailsOperationPanelMng` | `getDetailsOperationManager()`
    `ExplorerDataPanelMng` | `getExplorerDataPanelMng()`
    `ExplorerOperationPanelMng` | `getExplorerOperationPanelMng()`
    `GxtCardLayoutMainPanel` | `getGxtCardLayoutMainPanel()`
    `void` | `setBorderLayoutContainer(GxtBorderLayoutMainPanel borderLayoutContainer)`
    `void` | `setCenterDataPanelMng(CenterDataPanelMng centerDataPanelMng)`
    `void` | `setCenterOperationPanelMng(CenterAlgorithmPanelMng centerOperationPanelMng)`
    `void` | `setExplorerDataPanelMng(ExplorerDataPanelMng explorerDataPanelMng)`
    `void` | `setExplorerOperationPanelMng(ExplorerOperationPanelMng explorerOperationPanelMng)`
    `void` | `setGxtCardLayoutMainPanel(GxtCardLayoutMainPanel gxtCardLayoutMainPanel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OccurrenceManagementMainPanel

          public OccurrenceManagementMainPanel()

  - ### Method Detail

    - #### getBorderLayoutContainer

          public GxtBorderLayoutMainPanel getBorderLayoutContainer()

    - #### setBorderLayoutContainer

          public void setBorderLayoutContainer(GxtBorderLayoutMainPanel borderLayoutContainer)

    - #### getGxtCardLayoutMainPanel

          public GxtCardLayoutMainPanel getGxtCardLayoutMainPanel()

    - #### setGxtCardLayoutMainPanel

          public void setGxtCardLayoutMainPanel(GxtCardLayoutMainPanel gxtCardLayoutMainPanel)

    - #### getExplorerDataPanelMng

          public ExplorerDataPanelMng getExplorerDataPanelMng()

    - #### setExplorerDataPanelMng

          public void setExplorerDataPanelMng(ExplorerDataPanelMng explorerDataPanelMng)

    - #### getCenterDataPanelMng

          public CenterDataPanelMng getCenterDataPanelMng()

    - #### setCenterDataPanelMng

          public void setCenterDataPanelMng(CenterDataPanelMng centerDataPanelMng)

    - #### getCenterOperationPanelMng

          public CenterAlgorithmPanelMng getCenterOperationPanelMng()

    - #### setCenterOperationPanelMng

          public void setCenterOperationPanelMng(CenterAlgorithmPanelMng centerOperationPanelMng)

    - #### getExplorerOperationPanelMng

          public ExplorerOperationPanelMng getExplorerOperationPanelMng()

    - #### setExplorerOperationPanelMng

          public void setExplorerOperationPanelMng(ExplorerOperationPanelMng explorerOperationPanelMng)

    - #### getCenterComputationPanelMng

          public CenterComputationPanelMng getCenterComputationPanelMng()

    - #### getDetailsOperationManager

          public DetailsOperationPanelMng getDetailsOperationManager()

Copyright © 2014. All Rights Reserved.